Bug 143806 - ICE on compiling file with -msse2
Summary: ICE on compiling file with -msse2
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc34   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-28 14:02 UTC by Richard Chan
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 3.4.3-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-29 12:50:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed output (163.03 KB, application/octet-stream)
2004-12-28 14:07 UTC, Richard Chan
no flags Details
Source file causing ICE + header files (201.29 KB, text/plain)
2004-12-28 14:08 UTC, Richard Chan
no flags Details

Description Richard Chan 2004-12-28 14:02:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Compiling the file integer.cpp from

http://www.eskimo.com/~weidai/cryptopp521.zip

with

g++ -c -O2 -msse2 -pipe integer.cpp

results in ICE 
~/PROJECTS/Crypto/cryptopp-5.2.1> /usr/bin/c++ -g -O2 -msse2 
integer.cpp -c
integer.cpp: In static member function `static void
CryptoPP::P4Optimized::Multiply4(CryptoPP::word*, const
CryptoPP::word*, const CryptoPP::word*)':
integer.cpp:1704: error: insn does not satisfy its constraints:
(insn 794 793 628 0
/usr/lib/gcc/i386-redhat-linux/3.4.2/include/mmintrin.h:281 (set
(reg/v:V2SI 21 xmm0 [orig:193 <anonymous> ] [193])
        (mem:V2SI (plus:SI (reg/f:SI 6 bp)
                (const_int -136 [0xffffff78])) [0 S8 A8])) 499
{movv2si_internal} (nil)
    (nil))
integer.cpp:1704: internal compiler error: in
reload_cse_simplify_operands, at postreload.c:391
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccD8OQO1.out file, please attach
this to your bugreport.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download zip file and unzip
2. Try to compile integer.cpp
3.
    

Actual Results:  ICE as above

Expected Results:  File is compiled to integer.o file.

gcc -O -msse2 succeeds

Additional info:

Comment 1 Richard Chan 2004-12-28 14:07:20 UTC
Created attachment 109147 [details]
Preprocessed output

Comment 2 Richard Chan 2004-12-28 14:08:49 UTC
Created attachment 109148 [details]
Source file causing ICE + header files

Extracted from full package
http://www.eskimo.com/~weidai/cryptopp521.zip

Comment 3 Richard Chan 2004-12-28 14:24:43 UTC
ICE does not happen using gcc 3.3.5 or
gcc 3.4.4 prerelease 20041228 (just tried it from CVS).

Comment 4 Jakub Jelinek 2004-12-29 12:50:39 UTC
This is fixed in gcc-3.4.3-11 (that should appear in rawhide today).


Note You need to log in before you can comment on or make changes to this bug.